[INCLUDE]
RemovableDevices_Register
RemovableDevices_Unregister

[CODE]
Public Function RemovableDevices_ResolveDriveID(ByVal lParam As Long)
  Dim xType1 As DEV_BROADCAST_HANDLE

'Stop
  RemovableDevices_ResolveDriveID = -1&
  Call RtlMoveMemory(xType1, ByVal lParam, 40&)
  For lParam = 2& To 25&
    If xType1.dbch_hdevnotify = RemovableDevices_Handle(lParam) Then
      RemovableDevices_ResolveDriveID = lParam
      Exit For
      End If
    Next
  End Function
